#jinja2: lstrip_blocks: True
location:
    source_directories:
    {% for d in borgmatic_source_directories %}
        - {{ d }}
    {% endfor %}
    repositories:
    {% for r in borgmatic_remote_repositories %}
        - {{ r }}
    {% endfor %}
    one_file_system: {{ borgmatic_one_file_system }}
    read_special: {{ borgmatic_read_special }}
    bsd_flags: {{ borgmatic_bsd_flags }}
    files_cache: {{ borgmatic_files_cache|join(",") }}
    {% if borgmatic_local_path %}
    # Alternate Borg local executable. Defaults to "borg".
    local_path: {{ borgmatic_local_path }}
    {% endif %}
    {% if borgmatic_remote_path %}
    # Alternate Borg remote executable. Defaults to "borg".
    remote_path: {{ borgmatic_remote_path }}
    {% endif %}
    {% if borgmatic_patterns %}
    patterns:
    {% for p in borgmatic_patterns %}
      - "{{ p }}"
    {% endfor %}
    {% endif %}
    {% if borgmatic_patterns_from %}
    patterns_from:
    {% for p in borgmatic_patterns_from %}
      - {{ p }}
    {% endfor %}
    {% endif %}
    {% if borgmatic_exclude_from %}
    exclude_from:
      - {{ borgmatic_exclude_from }}
    {% elif borgmatic_exclude_patterns or borgmatic_default_exclude_patterns %}
    exclude_patterns:
    {% for p in borgmatic_default_exclude_patterns|default([]) + borgmatic_exclude_patterns|default([]) %}
      - "{{ p }}"
    {% endfor %}
    {% endif %}
    exclude_caches: {{ borgmatic_exclude_caches }}
    exclude_if_present: {{ borgmatic_exclude_if_present }}

storage:
    {% if borgmatic_encryption_passcommand %}
    encryption_passcommand: {{ borgmatic_encryption_passcommand }}
    {% endif %}
    {% if borgmatic_encryption_passphrase %}
    encryption_passphrase: "{{ borgmatic_encryption_passphrase }}"
    {% endif %}
    checkpoint_interval: {{ borgmatic_checkpoint_interval }}
    {% if borgmatic_chunker_params %}
    chunker_params: {{ borgmatic_chunker_params }}
    {% endif %}
    compression: {{ borgmatic_compression }}
    {% if borgmatic_remote_rate_limit %}
    remote_rate_limit: {{ borgmatic_remote_rate_limit }}
    {% endif %}
    {% if borgmatic_ssh_command %}
    ssh_command: {{ borgmatic_ssh_command }}
    {% endif %}
    umask: {{ borgmatic_umask }}
    lock_wait: {{ borgmatic_lock_wait }}
    archive_name_format: "{{ borgmatic_archive_name_format }}"

retention:
    {% if borgmatic_retention_keep_within %}
    keep_within: {{ borgmatic_retention_keep_within }}
    {% endif %}
    {% if borgmatic_retention_keep_secondly %}
    keep_secondly: {{ borgmatic_retention_keep_secondly }}
    {% endif %}
    {% if borgmatic_retention_keep_minutely %}
    keep_minutely: {{ borgmatic_retention_keep_minutely }}
    {% endif %}
    {% if borgmatic_retention_keep_hourly %}
    keep_hourly: {{ borgmatic_retention_keep_hourly }}
    {% endif %}
    {% if borgmatic_retention_keep_daily %}
    keep_daily: {{ borgmatic_retention_keep_daily }}
    {% endif %}
    {% if borgmatic_retention_keep_weekly %}
    keep_weekly: {{ borgmatic_retention_keep_weekly }}
    {% endif %}
    {% if borgmatic_retention_keep_monthly %}
    keep_monthly: {{ borgmatic_retention_keep_monthly }}
    {% endif %}
    {% if borgmatic_retention_keep_yearly %}
    keep_yearly: {{ borgmatic_retention_keep_yearly }}
    {% endif %}
    prefix: "{{ borgmatic_prune_prefix }}"

consistency:
    {% if borgmatic_consistency_checks %}
    checks:
    {% for c in borgmatic_consistency_checks %}
      - {{ c }}
    {% endfor %}
    {% else %}
    checks: disabled
    {% endif %}
    {% if borgmatic_consistency_check_repositories %}
    check_repositories:
    {% for r in borgmatic_consistency_check_repositories %}
      - {{ r }}
    {% endfor %}
    {% endif %}
    {% if borgmatic_consistency_check_last %}
    check_last: {{ borgmatic_consistency_check_last }}
    {% endif %}
    {% if borgmatic_consistency_check_prefix %}
    prefix: "{{ borgmatic_consistency_check_prefix }}"
    {% endif %}

{% if borgmatic_hooks_before_backup or borgmatic_hooks_after_backup or borgmatic_hooks_on_error %}
hooks:
    {% if borgmatic_hooks_before_backup %}
    before_backup:
    {% for h in borgmatic_hooks_before_backup %}
      - {{ h }}
    {% endfor %}
    {% endif %}
    {% if borgmatic_hooks_after_backup %}
    after_backup:
    {% for h in borgmatic_hooks_after_backup %}
      - {{ h }}
    {% endfor %}
    {% endif %}
    {% if borgmatic_hooks_on_error %}
    on_error:
    {% for h in borgmatic_hooks_on_error %}
      - {{ h }}
    {% endfor %}
    {% endif %}
{% endif %}
